Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236834 - Kickstart text mode opens non root shell on vt2
Summary: Kickstart text mode opens non root shell on vt2
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 20:54 UTC by Josh Lange
Modified: 2008-04-18 11:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-18 11:35:46 UTC


Attachments (Terms of Use)
test file, enter root password hash (deleted)
2007-04-17 20:54 UTC, Josh Lange
no flags Details

Description Josh Lange 2007-04-17 20:54:49 UTC
Use anaconda to install the os with boot params:

"linux text ks=http://path/to/anaconda/file/ks5.cfg"

switch to vt2 and get a console. The shell will not be a root shell, there is no
way to get a root shell (makes the shell useless). I found this when correcting
another issue with buggy md handleing. The shell is a root shell in the gui
installer, only the text is affected.

Comment 1 Josh Lange 2007-04-17 20:54:50 UTC
Created attachment 152858 [details]
test file, enter root password hash

Comment 2 Chris Lumens 2007-04-18 14:26:37 UTC
What are you trying to do on vt2 that's not working?  Are you getting any error
messages?  There's only one user in the installation environment, and running a
test here with whoami tells me:  "whoami: unknown uid 0".

Comment 3 Red Hat Bugzilla 2007-06-12 03:48:07 UTC
requested by Jams Antill


Note You need to log in before you can comment on or make changes to this bug.